Package com.enonic.xp.node

## Class ImportNodeParams.Builder

- java.lang.Object
- - com.enonic.xp.node.ImportNodeParams.Builder

- Enclosing class:
    ImportNodeParams

      public static final class ImportNodeParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImportNodeParams.Builder` | `binaryAttachments​(BinaryAttachments binaryAttachments)` |
    `ImportNodeParams` | `build()` |
    `ImportNodeParams.Builder` | `dryRun​(boolean dryRun)` |
    `ImportNodeParams.Builder` | `importNode​(Node node)` |
    `ImportNodeParams.Builder` | `importPermissions​(boolean importPermissions)` |
    `ImportNodeParams.Builder` | `importPermissionsOnCreate​(boolean importPermissionsOnCreate)` |
    `ImportNodeParams.Builder` | `insertManualStrategy​(InsertManualStrategy insertManualStrategy)` |
    `ImportNodeParams.Builder` | `refresh​(RefreshMode refresh)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### binaryAttachments

          public ImportNodeParams.Builder binaryAttachments​(BinaryAttachments binaryAttachments)

    - #### importNode

          public ImportNodeParams.Builder importNode​(Node node)

    - #### insertManualStrategy

          public ImportNodeParams.Builder insertManualStrategy​(InsertManualStrategy insertManualStrategy)

    - #### dryRun

          public ImportNodeParams.Builder dryRun​(boolean dryRun)

    - #### importPermissions

          public ImportNodeParams.Builder importPermissions​(boolean importPermissions)

    - #### importPermissionsOnCreate

          public ImportNodeParams.Builder importPermissionsOnCreate​(boolean importPermissionsOnCreate)

    - #### refresh

          public ImportNodeParams.Builder refresh​(RefreshMode refresh)

    - #### build

          public ImportNodeParams build()